:root{
	--brown: #4D393E;
	--green: #59A641;
	--blue: #419CA6;
}

@font-face {
  font-family: kiwisoda;
  src: url(font/KiwiSoda.ttf);
}
@font-face {
  font-family: fluttershy;
  src: url(font/Fluttershy-Regular.ttf);
}
@font-face {
  font-family: chonky;
  src: url(font/ChonkyBitsFontRegular.otf);
}
@font-face {
  font-family: poprumcute;
  src: url(font/PopRumCute.otf);
}

@keyframes hihi{
	0%{transform: translateY(0);}
	50%{transform: translateY(-0.5em);}
	100%{transform: translateY(0);}
}

::selection{
	background-color: #28612A;
	color: white;
}
::-webkit-scrollbar {
  width: 7px;
}
::-webkit-scrollbar-track {
  background: #FFCFDC;
}
::-webkit-scrollbar-thumb {
  background: url("https://i.pinimg.com/736x/87/ff/43/87ff43f6a9d29f6b1f9ed0f1a71b92bd.jpg");
}
::-webkit-scrollbar-thumb:hover {
  background-image: url("https://i.pinimg.com/736x/02/aa/81/02aa81a62e89fa643978ec4ffe30e6e4.jpg");
}

html, body{
	margin: 0;
	padding: 0;
	height: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	cursor: url("cursor/kris_normal.png"), auto;
}
body{
	background-image: url("https://64.media.tumblr.com/ada549e8354c486531627c797baa6515/tumblr_inline_ml9b09wCu71qz4rgp.gif");
}

a, button{
	cursor: url("cursor/kris_link.png"), pointer;
}
p, textarea{
	cursor: url("cursor/kris_text.png"), auto;
}

@keyframes round-and-round{
	0% {transform: rotate(0deg);}
	100% {transform: rotate(360deg);}
}
.center{text-align: center;}
main{
	display: flex;
	margin: 35px auto auto auto;
	justify-content: center;
	/* align-items: center; */
	gap: 30px;
}
nav{
	width: 210px;
}
nav a{
	font-family: kiwisoda;
	font-size: 1.3em;
}
nav div{
	width: 190px;
	/* background-image: url("https://64.media.tumblr.com/4be1748905a7003b0fecade7f28f8ff6/tumblr_inline_ml9b16bJXc1qz4rgp.gif"); */
	background-color: #FFEDF1;
	padding: 10px;
	border-radius: 10px;
	margin-bottom: 7px;
	border: 2px solid white;
}
.border-lace{
	border-image-slice: 17 17 17 17;
	border-image-width: 20px 20px 20px 20px;
	border-image-outset: 20px 20px 20px 20px;
	border-image-repeat: round round;
	border-image-source: url("https://file.garden/Z4-KIXj5okOfzeyR/borders/ww.png");
	border-style: solid;
}
#left{
	/* position: fixed; */
	/* left: 10px; */
}
#center{
	background-color: pink;
	width: 800px;
	padding: 10px;
	/* background-image: url("https://i.pinimg.com/1200x/68/44/95/684495e309f1e7a6b1d1609f033f905c.jpg"); */
	background-image: url("https://64.media.tumblr.com/f3d4f9100ec5dd1070048e2e1e86c190/54dbdd530a69c1c9-f8/s75x75_c1/554afeed0758997760577ced06f2027841b0b628.pnj");
	/* background-image: url("https://64.media.tumblr.com/5d0780ab645b499a62108dd6bd4f5565/tumblr_inline_ml7ycfE7pg1qz4rgp.gif"); */
}
#dialogue-audio{
	display: none;
}
#dialogue-choices{
	padding: 5px 0 0 5px;
	position: absolute;
}
#dialogue-choices button{
	width: 110px;
	border-radius: 5px;
	padding: 2px;
	margin: 3px;
	background-color: #FFE8ED;
	border: 2px solid #D94E74;
	color: #D94E74;
}
#dialogue-p{
	font-family: chonky;
}
#socials a img{
	width: 50px;
	height: 50px;
	
	filter: invert(51%) sepia(10%) saturate(1753%) hue-rotate(71deg) brightness(93%) contrast(91%);
}
::-webkit-resizer{
	cursor: url("cursor/kris_diagonal.png"), auto;
}
p{
	font-family: fluttershy;
	color: var(--brown);
}
h2{
	margin: 5px 0 0 5px;
	font-family: kiwisoda;
	color: #F22C77;
	text-shadow: 2px 2px 0 white;
}
a{
	color: var(--green);
	text-decoration: none;
}
a:hover{
	color: var(--blue);
	text-shadow: 0px 0px 2px white;
}

#my-button{
	width: 200px;
	background-image: url("https://i.pinimg.com/736x/9f/f7/60/9ff760606603048924936f8638d18a49.jpg");
	text-align: center;
	margin: 15px;
}
#neighbour{
	width: 500px;
	height: 200px;
	margin: 15px;
	background-image: url("https://i.pinimg.com/736x/46/89/17/4689177a856e309cdd40080c2091df64.jpg");
	background-size: 50%;
	padding: 5px;
	overflow-x: hidden;
	overflow-y: auto;
	position: relative;
	z-index: 1;
}
#neighbour img{ height: 30px;}
#stamps{
	margin: 15px;
	width: 250px;
	height: 200px;
	padding: 5px;
	background-image: url("https://i.pinimg.com/736x/e1/26/c5/e126c50be8f4adfc66c8953320a2145f.jpg");
	background-size: 105%;
	overflow-x: hidden;
	overflow-y: auto;
	position: relative;
}

/* right */
#right{
	width: 270px;
	/* background-color: grey; */
	/* position: fixed; */
	/* right: 10px; */
	padding: 15px;
}

.kirby-cd{
	position: absolute;
	width: 200px;
	height: 200px;
	animation: 3s linear 0s infinite round-and-round;
	right: -10px;
	bottom: 7px;
	/* top: -3px; */
	pointer-events: none;
}
#song-audio{
	height: 20px;
	width: 97%;
	bottom: 0px;
	position: absolute;
	/* position: absolute; */
	/* bottom: 0; */
	/* left: -2px; */
}
#song-link{
	width: 0;
	padding-left: 20px;
	font-family: kiwisoda;
	font-size: 1.2em;
}
.song-navigation{
	color: #6B6A6A;
	font-family: chonky;
}

/* 				statuscafe */
#statuscafe{
	height: 80px;
	overflow-y: auto;
	margin-top: 20px;
	background-image: url("https://i.pinimg.com/736x/03/ab/e3/03abe3f97d844deb6742dfb2749fbfed.jpg");
}
#statuscafe a{
	color: #FFFFFF;
	background-color: #FF7A9E;
	padding: 2px;
}
#statuscafe-username {
	font-family: kiwisoda;
	font-size: 1.1em;
	/* background-color: #FFDEE8/50%; */
	color: #FFE0EA;
	margin: 0;
	padding: 0;
}
#statuscafe-content{
	color: white;
	padding-left: 10px;
	font-family: poprumcute;
}